Skip to main content
GET
Get costs for Kubernetes efficiency report

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

kubernetes_efficiency_report_token
string
required

Query Parameters

start_date
string<date>

First date to query costs from, inclusive. YYYY-MM-DD formatted.

end_date
string<date>

Last date to query costs through, inclusive. YYYY-MM-DD formatted.

date_bin
enum<string>

The date bin for the costs. Defaults to the report's configured date bucket.

Available options:
day,
week,
month,
quarter
groupings
(enum<string> | string)[]

Group the cost rows by up to 100 fields. Valid groupings: cluster_id, namespace, region, labeled, category, pod, label:<label_name>.

Available options:
cluster_id,
namespace,
region,
labeled,
category,
pod
filter
string

The VQL filter to apply to the costs. Overrides the report's saved filter.

order
enum<string>
default:desc

Whether to order cost rows by date ascending or descending.

Available options:
asc,
desc
page
integer<int32>
default:1

The page of cost rows to return.

limit
integer<int32>
default:500

The number of cost rows to return. The maximum is 2500.

Required range: 1 <= x <= 2500

Response

KubernetesEfficiencyReportCosts model

total_amount
object
required
total_idle_cost
object
required
total_cost_efficiency
string
required

The cost efficiency ratio for the complete filtered result.

Example:

"0.66666666666666666667"

costs
object[]
required